%bcond_without systemneon

Name:    litmus
Summary: WebDAV server protocol compliance test suite
Version: 0.12.1
Release: 3%{?dist}
License: GPLv2+
Group:   Applications/Internet
URL:     http://www.webdav.org/neon/litmus/
Source0: http://www.webdav.org/neon/litmus/%{name}-%{version}.tar.gz
Patch0:  litmus-0.12.1-alt-neon_0.29.0.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: expat-devel
%{?with_systemneon:BuildRequires: neon-devel}
BuildRequires: openssl-devel 

%description
litmus is a WebDAV server test suite, which aims 
at testing whether a server is compliant with the 
WebDAV protocol as specified in RFC2518. 

%prep
%setup -q 
%patch0 -p1 -b .neon

%build
autoconf
%configure --with-ssl=openssl \
           --with-expat \
           %{?with_systemneon:--with-neon} \
           --enable-threadsafe-ssl=posix
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc ChangeLog COPYING FAQ README INSTALL THANKS TODO
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/%{name}/htdocs/foo

%changelog

* Tue Dec 15 2009 Paulo Roma <roma@lcg.ufrj.br> 0.12.1-2
- Patched for using neon 0.29
- Added BR autoconf.

* Thu May 21 2009 Paulo Roma <roma@lcg.ufrj.br> 0.12.1-1
- Updated to 0.12.1

* Tue Oct 21 2008 Paulo Roma <roma@lcg.ufrj.br> 0.12-1
- Updated to 0.12
- Using external expat and bundled neon (0.28.3).

* Fri Aug 08 2008 Paulo Roma <roma@lcg.ufrj.br> 0.11-1
- Initial spec file.

